• Print  |
  • Feedback  |

Knowledge Base

SAS® 9.3 Support for Java Development Kits

This page describes the minimum version requirements of Java Development Kits (JDK) for use with SAS 9.3. It is possible to use updated versions of the third-party software listed below. See SAS® Third-Party Software Requirements - Baseline and Higher Support for more details.

Oracle requires specific versions of the JDK for WebLogic when it is configured in the AIX operating environment. For this reason, the baseline-and-higher support policy does not apply to the JDK that is used with WebLogic under AIX. You must download one of the required versions of the JDK.

Java Software Development Kits

The following table identifies Java Software Development Kit (JDK) requirements for supported Web application servers and the z/OS platform. Web application servers and servlet engines require the use of a full JDK.

Notes:

SAS 9.3 TS1M2

Platform Java Version Link Notes
Windows
64-bit on x86-64
1.6.0_30 Oracle SAS 9.3 supports JRockit 6 Update 24 R28.1.3 as an alternative JDK for WebLogic Server 11g.
1.7.0_15
Solaris
64-bit on SPARC
1.6.0_30 Oracle Installation of the 64-bit JDK for Solaris requires installation of the 32-bit JDK first. See Oracle's installation instructions for more detail.

SAS 9.3 supports JRockit 6 Update 24 R28.1.3 as an alternative JDK for WebLogic Server 11g.
1.7.0_15
Solaris
64-bit on x86-64
1.6.0_30 Oracle Installation of the 64-bit JDK for Solaris requires installation of the 32-bit JDK first. See Oracle's installation instructions for more detail.
1.7.0_15
AIX 6.0.0.215
Java 6 SR8 FP1
IBM  
7.0.0.60
Java 7.0 SR3
HP-UX Itanium 6.0.13 HP  
7.0.0.4
Linux
64-bit x86-64
1.6.0_30 Oracle SAS 9.3 supports JRockit 6 Update 24 R28.1.3 as an alternative JDK for WebLogic Server 11g.
1.7.0_15

SAS 9.3 TS1M0 and TS1M1

Platform Java Version Link Notes
Windows
64-bit on x86-64
1.6.0_24 Oracle SAS 9.3 supports JRockit 6 Update 24 R28.1.3 as an alternative JDK for WebLogic Server 11g.
Solaris
64-bit on SPARC
1.6.0_21 Oracle Installation of the 64-bit JDK for Solaris requires installation of the 32-bit JDK first. See Oracle's installation instructions for more detail.

SAS 9.3 supports JRockit 6 Update 24 R28.1.3 as an alternative JDK for WebLogic Server 11g.
Solaris
64-bit on x86-64
1.6.0_21 Oracle Installation of the 64-bit JDK for Solaris requires installation of the 32-bit JDK first. See Oracle's installation instructions for more detail.
AIX 6.0.0.215
Java 6 SR8 FP1 64-bit
IBM  
HP-UX Itanium 6.0.07 HP  
Linux
64-bit x86-64
1.6.0_21 Oracle SAS 9.3 supports JRockit 6 Update 24 R28.1.3 as an alternative JDK for WebLogic Server 11g.
z/OS Java 6 31-bit SDK IBM